/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `plugin`
--
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE If Not Exists `baas`.`plugin` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '自增id',
  `name` varchar(128) NOT NULL DEFAULT '' COMMENT '名称',
  `english_name` varchar(128) NOT NULL DEFAULT '' COMMENT '英文名称',
  `version` varchar(128) NOT NULL DEFAULT '' COMMENT '版本',
  `image` varchar(128) NOT NULL DEFAULT '' COMMENT '镜像名称',
  `route_prefix` varchar(128) NOT NULL DEFAULT '' COMMENT '路由前缀',
  `port` int(11) NOT NULL DEFAULT '0' COMMENT '端口',
  `homepage` varchar(128) NOT NULL DEFAULT '' COMMENT '主页路径',
  `style` varchar(128) NOT NULL DEFAULT '' COMMENT '打开方式',
  `desc` longtext NOT NULL COMMENT '描述',
  `author` varchar(128) NOT NULL DEFAULT '' COMMENT '贡献者',
  `author_icon` varchar(256) NOT NULL DEFAULT '' COMMENT '贡献者图标',
  `from` varchar(128) NOT NULL DEFAULT '' COMMENT '来源',
  `status` varchar(128) NOT NULL DEFAULT '' COMMENT '状态',
  `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否删除',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `update_time` datetime NOT NULL COMMENT '更新时间',
  `error_message` longtext NOT NULL COMMENT '错误信息',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='组件信息表';

-- 插入浏览器组件
INSERT IGNORE INTO plugin VALUES (1,'浏览器','explorer','1.0.0','registry.baidubce.com/baas/xbaas-explorer:v1.0.0','/xbaas/v1/explorer',8081,'/xbaas/v1/explorer/console','iframe','超级链浏览器是百度超级链提供的默认浏览器，您可以切换不同链，查询不同链上的数据','百度超级链','/xbaas/v1/plugin/icons/explorer.png','Platform','RUNNING',0,NOW(),NOW(),'');
insert into plugin(`name`,`english_name`,`version`,`image`,`route_prefix`,`port`,`homepage`,`style`,`desc`,`author`,`author_icon`,`from`,`status`,`deleted`,`create_time`,`update_time`,`error_message`) values ('超级链合约IDE','ide','1.0.0','registry.baidubce.com/baas/xbaas-ide:v1.0.0','/xbaas/v1/ide',8082,'/xbaas/v1/contract-hub/ide','iframe','超级链合约IDE是百度超级链提供的默认合约IDE，您可以进行合约文件的管理、编译和上传','百度超级链','/xbaas/v1/plugin/icons/explorer.png','Platform','RUNNING',0,NOW(),NOW(),'');
